package com.vendor.loader.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.core.runtime.Platform;

public class ToolUtils {
  public static String getInstallPath() {
    String path = null;
    path = Platform.getInstallLocation().getURL().getPath();
    if (path.startsWith("//"))
      return path; 
    if (path.startsWith("/")) {
      String osName = System.getProperties().getProperty("os.name");
      if (osName.toLowerCase().startsWith("windows")) {
        path = path.substring(1);
      } else {
        if (osName.toLowerCase().startsWith("linux"))
          return path; 
        path = path.substring(1);
      } 
    } 
    return path;
  }
  
  public static boolean isLinux() {
    String osName = System.getProperties().getProperty("os.name");
    if (osName.toLowerCase().startsWith("linux"))
      return true; 
    return false;
  }
}
